"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLogger = void 0;
const bunyan_1 = __importDefault(require("bunyan"));
const config_1 = __importDefault(require("config"));
exports.getLogger = function (name) {
    const conf = config_1.default;
    if (conf['logging']) {
        const settings = conf['logging'];
        const targets = settings.filter(setting => setting.name === name);
        if (targets && targets.length > 0) {
            const logger = bunyan_1.default.createLogger(targets[0]);
            logger.info(`[ ${name} ] のログをココに出力します。`);
            return logger;
        }
    }
    const nullLogger = bunyan_1.default.createLogger({
        name: name,
        level: 'error',
    });
    return nullLogger;
};
//# sourceMappingURL=logger.js.map