"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvironmentCrudService = void 0;
const __1 = require("..");
const utils_1 = require("../utils");
const path_1 = __importDefault(require("path"));
class EnvironmentCrudService extends __1.BaseCrudService {
    constructor(parent) {
        super(parent);
    }
    findAll(queries, asArray = true) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, '/odata/Environments', queries, asArray);
    }
    find(id) {
        return utils_1.getData(this.parent.config, this.parent.accessToken, `/odata/Environments(${id})`);
    }
    // _findByName(name: string): Promise<Array<any>> {
    //   return getArray(this.parent.config, this.parent.accessToken, '/odata/Environments', {
    //     $filter: `Name eq '${name}'`,
    //   })
    // }
    // async findByName(name: string): Promise<any> {
    //   const defs: any[] = await this._findByName(name)
    //   return defs[0]
    // }
    create(environment) {
        return utils_1.postData(this.parent.config, this.parent.accessToken, '/odata/Environments', environment);
    }
    update(environment) {
        return utils_1.putData(this.parent.config, this.parent.accessToken, `/odata/Environments(${environment.Id})`, environment);
    }
    delete(id) {
        return utils_1.deleteData(this.parent.config, this.parent.accessToken, `/odata/Environments(${id})`);
    }
    save2Excel(instances, outputFullPath, templateFullPath = path_1.default.join(__dirname, 'templates', 'templateEnvironments.xlsx'), sheetName = 'Sheet1', applyStyles) {
        return super.save2Excel(instances, outputFullPath, templateFullPath, sheetName, applyStyles);
    }
}
exports.EnvironmentCrudService = EnvironmentCrudService;
//# sourceMappingURL=EnvironmentCrudService.js.map