"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LicenseCrudService = void 0;
const __1 = require("..");
const utils_1 = require("../utils");
class LicenseCrudService extends __1.BaseCrudService {
    constructor(parent) {
        super(parent);
    }
    find() {
        return utils_1.getData(this.parent.config, this.parent.accessToken, '/odata/Settings/UiPath.Server.Configuration.OData.GetLicense');
    }
    getRuntimeLicenses(robotType, queries, asArray = true) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, `/odata/LicensesRuntime/UiPath.Server.Configuration.OData.GetLicensesRuntime(robotType='${robotType}')`, queries, asArray);
    }
    getNamedUserLicenses(robotType, queries, asArray = true) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, `/odata/LicensesNamedUser/UiPath.Server.Configuration.OData.GetLicensesNamedUser(robotType='${robotType}')`, queries, asArray);
    }
}
exports.LicenseCrudService = LicenseCrudService;
//# sourceMappingURL=LicenseCrudService.js.map