import { BaseCrudService, IOrchestratorApi } from '..';
import { ILogCrudService } from '../Interfaces';
export declare class LogCrudService extends BaseCrudService implements ILogCrudService {
    constructor(parent: IOrchestratorApi);
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    findByFilter(filters: {
        from?: Date;
        to?: Date;
        robotName?: string;
        processName?: string;
        windowsIdentity?: string;
        level?: 'TRACE' | 'INFO' | 'WARN' | 'ERROR' | 'FATAL';
        machineName?: string;
    }, obj?: any, asArray?: boolean): Promise<Array<any>>;
    findStartEndLogs(filters: {
        from?: Date;
        to?: Date;
        robotName?: string;
        processName?: string;
        windowsIdentity?: string;
        level?: 'TRACE' | 'INFO' | 'WARN' | 'ERROR' | 'FATAL';
        machineName?: string;
    }, obj?: any): Promise<Array<any>>;
    save2Excel(logs: any[], outputFullPath: string, templateFullPath?: string, // テンプレファイルは、指定されたファイルか、このソースがあるディレクトリ上のtemplateLogs.xlsxを使う
    sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
