import { BaseCrudService, IOrchestratorApi } from '..';
import { IProcessCrudService } from '../Interfaces';
export declare class ProcessCrudService extends BaseCrudService implements IProcessCrudService {
    constructor(parent: IOrchestratorApi);
    /**
     * アクティブなバージョンに対しての検索。つまりプロセス一覧。
     * @param queries
     * @param asArray
     */
    findAll(queries?: any, asArray?: boolean): Promise<Array<any>>;
    uploadPackage(fullPath: string, asArray?: boolean): Promise<Array<any>>;
    /**
     * 画面上の名前を指定して、非アクティブなモノもふくめて検索する。
     * @param processId
     * @param asArray
     */
    findPackage(processId: string, asArray?: boolean): Promise<Array<any>>;
    deletePackage(processId: string, version?: string): Promise<any>;
    /**
     *
     * @param key Sample:1.0.2 など、[processId:version]
     */
    downloadPackage(id: string, version: string): Promise<any>;
    save2Excel(instances: any[], outputFullPath: string, templateFullPath?: string, sheetName?: string, applyStyles?: (instances: any[], workbook: any, sheetName: string) => void): Promise<string>;
}
