"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueItemCrudService = void 0;
const __1 = require("..");
const utils_1 = require("../utils");
const path_1 = __importDefault(require("path"));
class QueueItemCrudService extends __1.BaseCrudService {
    constructor(parent) {
        super(parent);
    }
    // QueueItemを一覧する
    findAll(queries, asArray = true) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, '/odata/QueueItems', queries, asArray);
    }
    // PK指定で取得する
    find(queueItemId) {
        return utils_1.getData(this.parent.config, this.parent.accessToken, `/odata/QueueItems(${queueItemId})`);
    }
    create(queue) {
        return utils_1.postData(this.parent.config, this.parent.accessToken, '/odata/Queues/UiPathODataSvc.AddQueueItem', queue);
    }
    // updateは存在しない
    // PK指定で、削除済みにする。
    delete(queueItemId) {
        return utils_1.deleteData(this.parent.config, this.parent.accessToken, `/odata/QueueItems(${queueItemId})`);
    }
    save2Excel(instances, outputFullPath, templateFullPath = path_1.default.join(__dirname, 'templates', 'templateQueueItem.xlsx'), sheetName = 'Sheet1', applyStyles) {
        return super.save2Excel(instances, outputFullPath, templateFullPath, sheetName, applyStyles);
    }
}
exports.QueueItemCrudService = QueueItemCrudService;
//# sourceMappingURL=QueueItemCrudService.js.map