"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReleaseCrudService = void 0;
const __1 = require("..");
const utils_1 = require("../utils");
const path_1 = __importDefault(require("path"));
class ReleaseCrudService extends __1.BaseCrudService {
    constructor(parent) {
        super(parent);
    }
    findAll(queries, asArray = true) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, '/odata/Releases', queries, asArray);
    }
    _findByProcessName(name) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, '/odata/Releases', {
            $filter: `ProcessKey eq '${name}'`,
        });
    }
    async findByProcessKey(processKey) {
        // processKey は画面上のプロセスの名前
        const objs = await this._findByProcessName(processKey);
        return objs[0];
    }
    save2Excel(instances, outputFullPath, templateFullPath = path_1.default.join(__dirname, 'templates', 'templateReleases.xlsx'), sheetName = 'Sheet1', applyStyles) {
        return super.save2Excel(instances, outputFullPath, templateFullPath, sheetName, applyStyles);
    }
}
exports.ReleaseCrudService = ReleaseCrudService;
//# sourceMappingURL=ReleaseCrudService.js.map