"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantCrudService = void 0;
const __1 = require("..");
const utils_1 = require("../utils");
const path_1 = __importDefault(require("path"));
class TenantCrudService extends __1.BaseCrudService {
    constructor(parent) {
        super(parent);
    }
    findAll(queries, asArray = true) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, '/odata/Tenants', queries, asArray);
    }
    find(id) {
        return utils_1.getData(this.parent.config, this.parent.accessToken, `/odata/Tenants(${id})`);
    }
    _findByName(name) {
        return utils_1.getArray(this.parent.config, this.parent.accessToken, '/odata/Tenants', {
            $filter: `Name eq '${name}'`,
        });
    }
    async findByName(name) {
        const defs = await this._findByName(name);
        return defs[0];
    }
    // create(tenant: any): Promise<any> {
    //   return postData(this.parent.config, this.parent.accessToken, '/odata/Tenants', tenant)
    // }
    // update(tenant: any): Promise<any> {
    //   return putData(this.parent.config, this.parent.accessToken, `/odata/Tenants(${tenant.Id})`, tenant)
    // }
    // delete(id: number): Promise<any> {
    //   return deleteData(this.parent.config, this.parent.accessToken, `/odata/Tenants(${id})`)
    // }
    save2Excel(instances, outputFullPath, templateFullPath = path_1.default.join(__dirname, 'templates', 'templateTenants.xlsx'), sheetName = 'Sheet1', applyStyles) {
        return super.save2Excel(instances, outputFullPath, templateFullPath, sheetName, applyStyles);
    }
}
exports.TenantCrudService = TenantCrudService;
//# sourceMappingURL=TenantCrudService.js.map