import { IOrchestratorApi } from '.';
declare class BaseError extends Error {
    constructor(e?: string);
}
export declare class NetworkAccessError extends BaseError {
    statusCode: number;
    body: any;
    constructor(statusCode: number, body: any, e?: string);
}
export declare const getData: (config: any, accessToken: string, apiPath: string) => Promise<any>;
export declare const getArray: (config: any, accessToken: string, apiPath: string, queries?: any, isOdata?: boolean) => Promise<Array<any>>;
export declare const postData: (config: any, accessToken: string, apiPath: string, obj: any) => Promise<any>;
export declare const uploadData: (config: any, accessToken: string, apiPath: string, fullPath: string, isOdata?: boolean) => Promise<any>;
export declare const downloadData: (config: any, accessToken: string, apiPath: string, id: string, version: string) => Promise<any>;
export declare const putData: (config: any, accessToken: string, apiPath: string, obj: any) => Promise<any>;
export declare const deleteData: (config: any, accessToken: string, apiPath: string) => Promise<any>;
export declare const createEnterpriseOption: (config: any) => any;
export declare const createCommunityOption: (config: any) => any;
export declare const createRobotOption: (config: any) => any;
export declare const createFilterStr: (filters: {
    from?: Date;
    to?: Date;
    robotName?: string;
    processName?: string;
    windowsIdentity?: string;
    level?: 'INFO' | 'TRACE' | 'WARN' | 'ERROR' | 'FATAL';
    machineName?: string;
}, api: IOrchestratorApi) => Promise<string[]>;
export declare const createAuditFilterStr: (filters: {
    action?: string;
    userName?: string;
    component?: string;
    methodName?: string;
    from?: Date;
    to?: Date;
}, api: IOrchestratorApi) => Promise<string[]>;
export {};
